window.Gleam.initSearch([{"doc":"gleam_sendgrid","title":"gleam_sendgrid","content":"# Gleam SendGrid\n\n[![Package Version](https://img.shields.io/hexpm/v/gleam_sendgrid)](https://hex.pm/packages/gleam_sendgrid)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gleam_sendgrid/)\n\nA client for SendGrid&#39;s API, enabling Gleam programs to send emails.\n\n## Usage\n\nAdd this package to your Gleam project.\n\n```sh\ngleam add gleam_sendgrid\n```\n\nAnd then send some emails!\n\n```rust\nimport gleam/sendgrid\nimport gleam/hackney\n\npub fn main() {\n  let api_key = &quot;your SendGrid API key here&quot;\n\n  // Construct an email\n  let email = \n    sendgrid.Email(\n      to: [&quot;joe@example.com&quot;],\n      sender_email: &quot;mike@example.com&quot;,\n      sender_name: &quot;Mike&quot;,\n      subject: &quot;Hello, Joe!&quot;,\n      content: sendgrid.TextContent(&quot;System still working?&quot;),\n    )\n\n  // Prepare an API request\n  let request = sendgrid.dispatch_request(email, api_key)\n\n  // Send it with a HTTP client of your choice\n  assert Ok(response) = hackney.send(request)\n\n  // A status of 202 indicates that the email has been sent\n  assert 202 = response.status\n}\n```\n","url":"index.html"},{"doc":"gleam/sendgrid","title":"Email","content":"pub type Email {\n  Email(\n    to: List(String),\n    sender_name: String,\n    sender_email: String,\n    subject: String,\n    content: EmailContent,\n  )\n}\n\nEmail(\n  to: List(String),\n  sender_name: String,\n  sender_email: String,\n  subject: String,\n  content: EmailContent,\n)\n\n\nSynonyms:\ngleam/sendgrid.Email\ngleam/sendgrid Email","url":"gleam/sendgrid.html#Email"},{"doc":"gleam/sendgrid","title":"EmailContent","content":"pub type EmailContent {\n  TextContent(text: String)\n  RichContent(html: String, text: String)\n}\n\nTextContent(text: String)\n\n\nRichContent(html: String, text: String)\n\n\nSynonyms:\ngleam/sendgrid.EmailContent\ngleam/sendgrid EmailContent","url":"gleam/sendgrid.html#EmailContent"},{"doc":"gleam/sendgrid","title":"dispatch_request","content":"pub fn dispatch_request(email: Email, api_key: String) -&gt; Request(\n  String,\n)\n\nSynonyms:\ngleam/sendgrid.dispatch_request\ngleam/sendgrid dispatch_request","url":"gleam/sendgrid.html#dispatch_request"},{"doc":"gleam/sendgrid","title":"gleam/sendgrid","content":"","url":"gleam/sendgrid.html"}]);